import ConnectionLine from './ConnectionLine';
import RelationshipModel from './model/RelationshipModel';
import NodeGraph from './NodeGraph';
declare class Relationship extends ConnectionLine {
    private _focusShape;
    private _onFocus;
    private _isInWorkspace;
    private _controlPointsController;
    private _startArrow;
    private _showEndArrow;
    private _endArrow;
    private _controlPointControllerListener;
    private _showStartArrow;
    constructor(sourceNode: NodeGraph, targetNode: NodeGraph, model: RelationshipModel);
    setStroke(color: string, style: string, opacity: number): void;
    redraw(): void;
    private _positionArrows;
    addToWorkspace(workspace: any): void;
    _initializeControlPointController(): void;
    removeFromWorkspace(workspace: any): void;
    getType(): string;
    setOnFocus(focus: boolean): void;
    private _refreshShape;
    addEvent(eventType: string, listener: any): void;
    isOnFocus(): boolean;
    isInWorkspace(): boolean;
    setVisibility(value: boolean): void;
    setOpacity(opacity: number): void;
    setShowEndArrow(visible: boolean): void;
    setShowStartArrow(visible: boolean): void;
    setFrom(x: number, y: number): void;
    setTo(x: number, y: number): void;
    setSrcControlPoint(control: any): void;
    setDestControlPoint(control: any): void;
    getControlPoints(): any;
    isSrcControlPointCustom(): any;
    isDestControlPointCustom(): any;
    setIsSrcControlPointCustom(isCustom: boolean): void;
    setIsDestControlPointCustom(isCustom: boolean): void;
    getId(): any;
    fireEvent(type: string, event: any): void;
    static getStrokeColor(): string;
}
export default Relationship;
